//
//  ViewController.h
//  usb-rly82
//
//  Created by James Henderson on 28/09/2016.
//  Copyright © 2016 Devantech Ltd. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#include <IOKit/IOKitLib.h>
#include <IOKit/serial/IOSerialKeys.h>
#include <IOKit/IOBSD.h>
#include <IOKit/serial/ioss.h>
#include <sys/ioctl.h>

@interface ViewController : NSViewController
{
    IBOutlet NSPopUpButton *serialList;
    IBOutlet NSPopUpButton *adc1ref;
    IBOutlet NSPopUpButton *adc2ref;
    IBOutlet NSPopUpButton *adc3ref;
    IBOutlet NSPopUpButton *adc4ref;
    IBOutlet NSPopUpButton *adc5ref;
    IBOutlet NSPopUpButton *adc6ref;
    IBOutlet NSPopUpButton *adc7ref;
    IBOutlet NSPopUpButton *adc8ref;
    IBOutlet NSTextField *adc1Label;
    IBOutlet NSTextField *adc2Label;
    IBOutlet NSTextField *adc3Label;
    IBOutlet NSTextField *adc4Label;
    IBOutlet NSTextField *adc5Label;
    IBOutlet NSTextField *adc6Label;
    IBOutlet NSTextField *adc7Label;
    IBOutlet NSTextField *adc8Label;
    IBOutlet NSTextField *idLabel;
    IBOutlet NSTextField *firmwareLabel;
    IBOutlet NSButton *relay1Button;
    IBOutlet NSButton *relay2Button;
    unsigned char adcref1, adcref2, adcref3, adcref4, adcref5, adcref6, adcref7, adcref8;
    int adc1, adc2, adc3, adc4, adc5, adc6, adc7, adc8;
    int relaystates;
    BOOL isConnected;
    int fd;
    struct termios originalOptions;
    unsigned char serBuf[64];
    NSTimer *timer;
}

- (void) timerTick:(NSTimer *)t;
- (IBAction)serialPortSelected:(id)sender;
- (IBAction)buttonPressed:(id)sender;
- (IBAction)voltageRefSelected:(id)sender;

@end
